---
title: Download
slug: reference/Tjq0-download
docTags: 
createdAt: 2024-09-30T17:03:00.667Z
---

{
  "id": "I9Fvpo5UY6twRBeMhBzb1",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/customer-portal/account-setting/logo",
    "servers": [
      {
        "url": "https://app.amberflo.io/customer-portal/account-setting/logo"
      }
    ],
    "name": "Download",
    "description": "<p>Download the company logo.</p>\n<p>Provide the <code>Accept: image/*</code> header to get the raw binary (otherwise the image content will come <code>base64</code> encoded).</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "required",
          "name": "sessionToken",
          "type": "string",
          "description": "<p>A required session token used to authenticate API calls made on behalf of a customer. This token is obtained from the <code>Create a session</code> endpoint and must be included with every request to authorize access.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "api_key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "No logo found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "PZjMlT2AKBRn_RQ-9CFiE",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://app.amberflo.io/customer-portal/account-setting/logo?sessionToken=string' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "2By_N-PR7Z5ApxhkP6Tjy",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/customer-portal/account-setting/logo?sessionToken=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "j0ZrnaRFac1hwdUxwmXmh",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/customer-portal/account-setting/logo?sessionToken=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QWe3Mi_fOd5vi9LDFq2uY",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/customer-portal/account-setting/logo?sessionToken=string\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "PZjMlT2AKBRn_RQ-9CFiE"
    },
    "results": {
      "languages": [
        {
          "id": "jWtR_p8RUd_VJSO9HdyJB",
          "language": "200",
          "code": "// Successful response\n"
        },
        {
          "id": "XHruqLACP_NuCjkfb6Ly-",
          "language": "404",
          "code": "// No logo found\n"
        }
      ],
      "selectedLanguageId": "jWtR_p8RUd_VJSO9HdyJB"
    }
  },
  "children": [
    {
      "id": "Q2r0gNfy-rhF7CmXeWymz",
      "type": "paragraph",
      "children": [
        {
          "text": "Download the company logo.",
          "id": "R2QI8nmlUKnvPD3NAXogt"
        }
      ]
    },
    {
      "id": "E_6UYHrLmUS4kPmhFvcsC",
      "type": "paragraph",
      "children": [
        {
          "text": "Provide the ",
          "id": "0H4qPU4x1QzK1SeGod5DL"
        },
        {
          "text": "Accept: image/*",
          "highlight": true,
          "id": "iN5xdG7aHpaAlI2ePjyn8"
        },
        {
          "text": " header to get the raw binary (otherwise the image content will come ",
          "id": "B53sugpUbAUYl2E-OI67W"
        },
        {
          "text": "base64",
          "highlight": true,
          "id": "1jaUkfjuZPIMdvbBC0m_2"
        },
        {
          "text": " encoded).",
          "id": "2d306mTxq0E5oj4knu1mK"
        }
      ]
    }
  ]
}